Subject: [Bitcoin-development] Fw: Seeking advice: Encouraging bug-fixing over new features

From: Amir Taaki <[email-masked]>
Date: Wed, 27 Jul 2011 17:02:13 -0700 (PDT)

----- Forwarded Message -----
From: Amir Taaki <[email-masked]>
To: John Smith <[email-masked]>
Sent: Thursday, July 28, 2011 2:01 AM
Subject: Re: [Bitcoin-development] Seeking advice: Encouraging bug-fixing over new features

I already tried the bounties route- made a forum thread offering $4000 worth of bounties and it got very few  responses before dropping off the page.

Also, http://forum.bitcoin.org/?topic=4761.0 and http://forum.bitcoin.org/?topic=4543.0

In the end I came to the conclusion that the only was is to bring in projects and pay people to work fulltime on Bitcoin under an organisation.

________________________________
From: John Smith <[email-masked]>
To: Joel Joonatan Kaartinen <[email-masked]>
Cc: Bitcoin Dev <[email-masked]>
Sent: Wednesday, July 27, 2011 4:20 PM
Subject: Re: [Bitcoin-development] Seeking advice: Encouraging bug-fixing over new features

On Wed, Jul 27, 2011 at 11:14 AM, Joel Joonatan Kaartinen <[email-masked]> wrote:

Perhaps even add a way for anyone add to the bounty attached to a bug on
>the bug tracker? Also, a listing page for bugs with their bounties might
>be nice too.
>

Good idea. I'm not sure if the github bug tracker supports extension attributes, but it'd be a great place to add it. Also, people can let know that they're already working on a feature using a comment, to prevent double work.

The biggest problem will be organizational, in getting the BTC together for bounties; only a high profile member such as Gavin will have enough trust to ask for support. Or maybe there's something left in the faucet? :-)

Unrelated: what also might help is publishing a roadmap. Plan a few "bug fix only" releases before scheduling addition of new features. It's also helpful for people that wonder that direction the project is going in...

JS 

------------------------------------------------------------------------------
Got Input?   Slashdot Needs You.
Take our quick survey online.  Come on, we don't ask for help often.
Plus, you'll get a chance to win $100 to spend on ThinkGeek.
http://p.sf.net/sfu/slashdot-survey
_______________________________________________
Bitcoin-development mailing list
[email-masked]
https://lists.sourceforge.net/lists/listinfo/bitcoin-development